package gov.noaa.esrl.mcidas;



import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.FileAppender;
import org.apache.log4j.Logger;
import org.apache.log4j.PatternLayout;


public class MyLogger
    {
    public final static Logger logger = Logger.getLogger(ucar.nc2.NetcdfFile.class);
    public static boolean verbose = false;

    public MyLogger(String logPath, boolean verboseFlag)
        {
        initLogging(logPath);
        verbose = verboseFlag;
        }
    
    private void initLogging(String logPath)
        {
        // Initialize logging
        PatternLayout pl = new PatternLayout(
                "%d{yyyyMMddHHmmss.SSS}  %-5p - %m\n");
        ConsoleAppender ca = new ConsoleAppender(pl);
        logger.addAppender(ca);

        // Create a time-based logfile, if necessary
        if (logPath != null)
            {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyyDDDHHmmssSSS");
            String dateStamp = sdf.format(new Date());

            try
                {
                String ext = this.getClass().getSimpleName();
                FileAppender fa = new FileAppender(pl, logPath + "/"
                        + dateStamp + "." + ext);
                logger.addAppender(fa);
                }
            catch (IOException e)
                {
                logger.error("Can't create logfile", e);
                }
            }
        logger.info("Logging started for " + this.getClass().getSimpleName());
        }

    public Logger getLogger()
        {
        return logger;
        }
    
    public boolean getVerbose()
        {
        return verbose;
        }
    }
